"""
Periodic table of elements with relevant properties.
"""

ptable = {
    "H": {"name": "hydrogen", "num": 1, "mass": 1.00794, "vdw": 1.1},
    "He": {"name": "helium", "num": 2, "mass": 4.002602, "vdw": 1.4},
    "Li": {"name": "lithium", "num": 3, "mass": 6.941, "vdw": 1.82},
    "Be": {"name": "beryllium", "num": 4, "mass": 9.012182, "vdw": 1.53},
    "B": {"name": "boron", "num": 5, "mass": 10.811, "vdw": 1.92},
    "C": {"name": "carbon", "num": 6, "mass": 12.0107, "vdw": 1.7},
    "N": {"name": "nitrogen", "num": 7, "mass": 14.0067, "vdw": 1.55},
    "O": {"name": "oxygen", "num": 8, "mass": 15.9994, "vdw": 1.52},
    "F": {"name": "fluorine", "num": 9, "mass": 18.9984032, "vdw": 1.47},
    "Ne": {"name": "neon", "num": 10, "mass": 20.1797, "vdw": 1.54},
    "Na": {"name": "sodium", "num": 11, "mass": 22.98977, "vdw": 2.27},
    "Mg": {"name": "magnesium", "num": 12, "mass": 24.305, "vdw": 1.73},
    "Al": {"name": "aluminum", "num": 13, "mass": 26.981538, "vdw": 1.84},
    "Si": {"name": "silicon", "num": 14, "mass": 28.0855, "vdw": 2.1},
    "P": {"name": "phosphorus", "num": 15, "mass": 30.973761, "vdw": 1.8},
    "S": {"name": "sulfur", "num": 16, "mass": 32.065, "vdw": 1.8},
    "Cl": {"name": "chlorine", "num": 17, "mass": 35.453, "vdw": 1.75},
    "Ar": {"name": "argon", "num": 18, "mass": 39.948, "vdw": 1.88},
    "K": {"name": "potassium", "num": 19, "mass": 39.0983, "vdw": 2.75},
    "Ca": {"name": "calcium", "num": 20, "mass": 40.078, "vdw": 2.31},
    "Sc": {"name": "scandium", "num": 21, "mass": 44.95591, "vdw": 2.15},
    "Ti": {"name": "titanium", "num": 22, "mass": 47.867, "vdw": 2.11},
    "V": {"name": "vanadium", "num": 23, "mass": 50.9415, "vdw": 2.07},
    "Cr": {"name": "chromium", "num": 24, "mass": 51.9961, "vdw": 2.06},
    "Mn": {"name": "manganese", "num": 25, "mass": 54.938049, "vdw": 2.05},
    "Fe": {"name": "iron", "num": 26, "mass": 55.845, "vdw": 2.04},
    "Co": {"name": "cobalt", "num": 27, "mass": 58.9332, "vdw": 2.0},
    "Ni": {"name": "nickel", "num": 28, "mass": 58.6934, "vdw": 1.97},
    "Cu": {"name": "copper", "num": 29, "mass": 63.546, "vdw": 1.96},
    "Zn": {"name": "zinc", "num": 30, "mass": 65.409, "vdw": 2.01},
    "Ga": {"name": "gallium", "num": 31, "mass": 69.723, "vdw": 1.87},
    "Ge": {"name": "germanium", "num": 32, "mass": 72.64, "vdw": 2.11},
    "As": {"name": "arsenic", "num": 33, "mass": 74.9216, "vdw": 1.85},
    "Se": {"name": "selenium", "num": 34, "mass": 78.96, "vdw": 1.9},
    "Br": {"name": "bromine", "num": 35, "mass": 79.904, "vdw": 1.85},
    "Kr": {"name": "krypton", "num": 36, "mass": 83.798, "vdw": 2.02},
    "Rb": {"name": "rubidium", "num": 37, "mass": 85.4678, "vdw": 3.03},
    "Sr": {"name": "strontium", "num": 38, "mass": 87.62, "vdw": 2.49},
    "Y": {"name": "yttrium", "num": 39, "mass": 88.90585, "vdw": 2.32},
    "Zr": {"name": "zirconium", "num": 40, "mass": 91.224, "vdw": 2.23},
    "Nb": {"name": "niobium", "num": 41, "mass": 92.90638, "vdw": 2.18},
    "Mo": {"name": "molybdenum", "num": 42, "mass": 95.94, "vdw": 2.17},
    "Tc": {"name": "technetium", "num": 43, "mass": 98, "vdw": 2.16},
    "Ru": {"name": "ruthenium", "num": 44, "mass": 101.07, "vdw": 2.13},
    "Rh": {"name": "rhodium", "num": 45, "mass": 102.9055, "vdw": 2.1},
    "Pd": {"name": "palladium", "num": 46, "mass": 106.42, "vdw": 2.1},
    "Ag": {"name": "silver", "num": 47, "mass": 107.8682, "vdw": 2.11},
    "Cd": {"name": "cadmium", "num": 48, "mass": 112.411, "vdw": 2.18},
    "In": {"name": "indium", "num": 49, "mass": 114.818, "vdw": 1.93},
    "Sn": {"name": "tin", "num": 50, "mass": 118.71, "vdw": 2.17},
    "Sb": {"name": "antimony", "num": 51, "mass": 121.76, "vdw": 2.06},
    "Te": {"name": "tellurium", "num": 52, "mass": 127.6, "vdw": 2.06},
    "I": {"name": "iodine", "num": 53, "mass": 126.90447, "vdw": 1.98},
    "Xe": {"name": "xenon", "num": 54, "mass": 131.293, "vdw": 2.16},
    "Cs": {"name": "cesium", "num": 55, "mass": 132.90545, "vdw": 3.43},
    "Ba": {"name": "barium", "num": 56, "mass": 137.327, "vdw": 2.68},
    "La": {"name": "lanthanum", "num": 57, "mass": 138.9055, "vdw": 2.43},
    "Ce": {"name": "cerium", "num": 58, "mass": 140.116, "vdw": 2.42},
    "Pr": {"name": "praseodymium", "num": 59, "mass": 140.90765, "vdw": 2.4},
    "Nd": {"name": "neodymium", "num": 60, "mass": 144.24, "vdw": 2.39},
    "Pm": {"name": "promethium", "num": 61, "mass": 145, "vdw": 2.38},
    "Sm": {"name": "samarium", "num": 62, "mass": 150.36, "vdw": 2.36},
    "Eu": {"name": "europium", "num": 63, "mass": 151.964, "vdw": 2.35},
    "Gd": {"name": "gadolinium", "num": 64, "mass": 157.25, "vdw": 2.34},
    "Tb": {"name": "terbium", "num": 65, "mass": 158.92534, "vdw": 2.33},
    "Dy": {"name": "dysprosium", "num": 66, "mass": 162.5, "vdw": 2.31},
    "Ho": {"name": "holmium", "num": 67, "mass": 164.93032, "vdw": 2.3},
    "Er": {"name": "erbium", "num": 68, "mass": 167.259, "vdw": 2.29},
    "Tm": {"name": "thulium", "num": 69, "mass": 168.93421, "vdw": 2.27},
    "Yb": {"name": "ytterbium", "num": 70, "mass": 173.04, "vdw": 2.26},
    "Lu": {"name": "lutetium", "num": 71, "mass": 174.967, "vdw": 2.24},
    "Hf": {"name": "hafnium", "num": 72, "mass": 178.49, "vdw": 2.23},
    "Ta": {"name": "tantalum", "num": 73, "mass": 180.9479, "vdw": 2.22},
    "W": {"name": "tungsten", "num": 74, "mass": 183.84, "vdw": 2.18},
    "Re": {"name": "rhenium", "num": 75, "mass": 186.207, "vdw": 2.16},
    "Os": {"name": "osmium", "num": 76, "mass": 190.23, "vdw": 2.16},
    "Ir": {"name": "iridium", "num": 77, "mass": 192.217, "vdw": 2.13},
    "Pt": {"name": "platinum", "num": 78, "mass": 195.078, "vdw": 2.13},
    "Au": {"name": "gold", "num": 79, "mass": 196.96655, "vdw": 2.14},
    "Hg": {"name": "mercury", "num": 80, "mass": 200.59, "vdw": 2.23},
    "Tl": {"name": "thallium", "num": 81, "mass": 204.3833, "vdw": 1.96},
    "Pb": {"name": "lead", "num": 82, "mass": 207.2, "vdw": 2.02},
    "Bi": {"name": "bismuth", "num": 83, "mass": 208.98038, "vdw": 2.07},
    "Po": {"name": "polonium", "num": 84, "mass": 209, "vdw": 1.97},
    "At": {"name": "astatine", "num": 85, "mass": 210, "vdw": 2.02},
    "Rn": {"name": "radon", "num": 86, "mass": 222, "vdw": 2.2},
    "Fr": {"name": "francium", "num": 87, "mass": 223, "vdw": 3.48},
    "Ra": {"name": "radium", "num": 88, "mass": 226, "vdw": 2.83},
    "Ac": {"name": "actinium", "num": 89, "mass": 227, "vdw": 2.47},
    "Th": {"name": "thorium", "num": 90, "mass": 232.0381, "vdw": 2.45},
    "Pa": {"name": "protactinium", "num": 91, "mass": 231.03588, "vdw": 2.43},
    "U": {"name": "uranium", "num": 92, "mass": 238.02891, "vdw": 2.41},
    "Np": {"name": "neptunium", "num": 93, "mass": 237, "vdw": 2.39},
    "Pu": {"name": "plutonium", "num": 94, "mass": 244, "vdw": 2.43},
    "Am": {"name": "americium", "num": 95, "mass": 243, "vdw": 2.44},
    "Cm": {"name": "curium", "num": 96, "mass": 247, "vdw": 2.45},
    "Bk": {"name": "berkelium", "num": 97, "mass": 247, "vdw": 2.44},
    "Cf": {"name": "californium", "num": 98, "mass": 251, "vdw": 2.45},
    "Es": {"name": "einsteinium", "num": 99, "mass": 252, "vdw": 2.45},
    "Fm": {"name": "fermium", "num": 100, "mass": 257, "vdw": 2.45},
    "Md": {"name": "mendelevium", "num": 101, "mass": 258, "vdw": 2.46},
    "No": {"name": "nobelium", "num": 102, "mass": 259, "vdw": 2.46},
    "Lr": {"name": "lawrencium", "num": 103, "mass": 262, "vdw": 2.46},
    "Rf": {"name": "rutherfordium", "num": 104, "mass": 261, "vdw": None},
    "Db": {"name": "dubnium", "num": 105, "mass": 262, "vdw": None},
    "Sg": {"name": "seaborgium", "num": 106, "mass": 266, "vdw": None},
    "Bh": {"name": "bohrium", "num": 107, "mass": 264, "vdw": None},
    "Hs": {"name": "hassium", "num": 108, "mass": 277, "vdw": None},
    "Mt": {"name": "meitnerium", "num": 109, "mass": 268, "vdw": None},
    "Ds": {"name": "darmstadtium", "num": 110, "mass": 281, "vdw": None},
    "Rg": {"name": "roentgenium", "num": 111, "mass": 272, "vdw": None},
    "Cn": {"name": "copernicium", "num": 112, "mass": 285, "vdw": None},
    "Nh": {"name": "nihonium", "num": 113, "mass": 286, "vdw": None},
    "Fl": {"name": "flerovium", "num": 114, "mass": 289, "vdw": None},
    "Mc": {"name": "moscovium", "num": 115, "mass": 289, "vdw": None},
    "Lv": {"name": "livermorium", "num": 116, "mass": 293, "vdw": None},
    "Ts": {"name": "tennessine", "num": 117, "mass": 294, "vdw": None},
    "Og": {"name": "oganesson", "num": 118, "mass": 294, "vdw": None},
}
